/*----------------------------------------------------------------------
-- Copyright (C) 2008 Jeremiah Wright. All rights reserved.
-- E-mail: j.wright@bioc.uzh.ch
--
-- This file is part of the Systems Biology Research Tool (SBRT).
--
-- The SBRT is free software; you can redistribute it and/or modify it
-- under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2, or (at your option)
-- any later version.
--
-- The SBRT is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
-- or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
-- License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with the SBRT; see the file COPYING. If not, write to the Free
-- Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
-- 02111-1307, USA.
----------------------------------------------------------------------*/

package sbrt.ext.R;

import org.rosuda.JRI.RMainLoopCallbacks;
import org.rosuda.JRI.Rengine;

/**
 * This class is used to make dummy consoles for the JRI.
 * 
 * @author This class was written and documented by
 * Jeremiah Wright while in the Wagner lab.
 *
 */
public class DummyConsole implements RMainLoopCallbacks {
    
    /**
     * Does nothing.
     * @param re 
     * @param text 
     * @param oType 
     */
    public void rWriteConsole(Rengine re, String text, int oType) {
    	return;
    }
    
    /**
     * Does nothing.
     * @param re 
     * @param which 
     */
    public void rBusy(Rengine re, int which) {
    	return;
    }
    
    /**
     * Does nothing.
     * @param re 
     * @param prompt 
     * @param addToHistory 
     * @return {@code null}.
     */
    public String rReadConsole(Rengine re, String prompt, int addToHistory) {
        return null;
    }
    
    /**
     * Does nothing.
     * @param re 
     * @param message 
     */
    public void rShowMessage(Rengine re, String message) {
    	return;
    }
    
    /**
     * Does nothing.
     * @param re 
     * @param newFile 
     * @return {@code null}.
     */
    public String rChooseFile(Rengine re, int newFile) {
        return null;
    }
    
    /**
     * Does nothing.
     * @param re 
     */
    public void rFlushConsole(Rengine re) {
    	return;
    }
    
    /**
     * Does nothing.
     * @param re 
     * @param filename 
     */
    public void rLoadHistory(Rengine re, String filename) {
    	return;
    }
    
    /**
     * Does nothing.
     * @param re 
     * @param filename 
     */
    public void rSaveHistory(Rengine re, String filename) {
    	return;
    }
}
