/*----------------------------------------------------------------------
-- Copyright (C) 2008 Jeremiah Wright. All rights reserved.
-- E-mail: j.wright@bioc.uzh.ch
--
-- This file is part of the Systems Biology Research Tool (SBRT).
--
-- The SBRT is free software; you can redistribute it and/or modify it
-- under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2, or (at your option)
-- any later version.
--
-- The SBRT is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
-- or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
-- License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with the SBRT; see the file COPYING. If not, write to the Free
-- Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
-- 02111-1307, USA.
----------------------------------------------------------------------*/

package sbrt.kernel.fba;

/**
 * This interface is used to represent exchange reactions. Exchange reactions
 * allow a chemical system to interact with its surroundings by allowing 
 * chemical species to cross the system boundary. Each exchange reaction is 
 * associated with a single chemical species.
 * 
 * @author This class was written and documented by Jeremiah Wright while in the
 *         Wagner Lab.
 *
 */
public interface ExchangeRxn extends ChemRxn {

	/**
	 * Returns the chemical species associated with this exchange reaction.
	 * @return the chemical species associated with this exchange reaction.
	 */
	public String getSpecies();

}
